This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 22809 - devfsd fails if devfsd.conf contains GLOBAL
devfsd fails if devfsd.conf contains GLOBAL
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-24 17:02 EST by Alex Yacoub
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 00:24:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alex Yacoub 2000-12-24 17:02:45 EST
If the devfsd.conf file contains a line with a CFUNCTION (or presumably
MFUNCTION) event and the path is set to GLOBAL, then devfsd segfaults.  As
an example:

REGISTER
misc/psaux
CFUNCTION GLOBAL symlink $devname mouse
UNREGISTER
misc/psaux
CFUNCTION GLOBAL unlink mouse

One or both of those lines (I've tested each one alone) fails.  However,
changing the action fixes the problem and changing "GLOBAL" to
"/lib/libc.so.6" fixes the problem as well.

I do not know if this is a defsd/kernel error or a redhat error, and I
apologize for not trying to find out, but I assume you guys are better
equipped to make that decision.

BTW, I'm using devfsd-2.4.0-0.43.4 with a custom kernel from the rawhide
sources of the same version.

Note You need to log in before you can comment on or make changes to this bug.